Bug 1226657 - [GTK3] non-animated loading icon added to progress bars
Summary: [GTK3] non-animated loading icon added to progress bars
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Horak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-31 13:47 UTC by April
Modified: 2016-07-19 14:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 14:25:06 UTC


Attachments (Terms of Use)
Fedora 21 -- correct (137.62 KB, image/png)
2015-05-31 13:47 UTC, April
no flags Details
Fedora 22 -- with loading icon which doesn't belong (136.02 KB, image/png)
2015-05-31 13:48 UTC, April
no flags Details
print progress dialog (11.92 KB, image/png)
2015-06-07 12:56 UTC, April
no flags Details


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 1173907 None None None Never

Description April 2015-05-31 13:47:28 UTC
Created attachment 1032875 [details]
Fedora 21 -- correct

Description of problem:
A loading icon which doesn't belong (and doesn't even animate) is added on top of the loading progress bar when downloading an extension. See screen captures illustrating the difference between F21 (correct) and F22 (incorrect).

Version-Release number of selected component (if applicable):
38.0, in Fedora 22 only (not in Fedora 20 or 21)

How reproducible:
100%

Comment 1 April 2015-05-31 13:48:26 UTC
Created attachment 1032876 [details]
Fedora 22 -- with loading icon which doesn't belong

Comment 2 April 2015-06-07 12:56:58 UTC
Created attachment 1035913 [details]
print progress dialog

The print progress indicator is also messed up, showing the non-animated loading wheel instead of a progress bar.

Comment 3 Jan Horak 2015-06-10 10:02:16 UTC
I can reproduce it also with regular file download in download progress dialog.

Comment 4 Martin Stransky 2015-06-11 19:11:34 UTC
Upstream bug: https://bugzilla.mozilla.org/show_bug.cgi?id=1173907

Comment 5 Alberto Ruiz 2015-06-20 16:14:03 UTC
Has there been any progress upstream?

Comment 6 Fedora End Of Life 2016-07-19 14:25:06 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.